Mapped Localizations
GET
/localization/map/{target}alpha
https://api.sandbox.ovok.comMap a localization to a target language
All query parameters are FHIR query parameteters.
Parameters
| Parameter Example | Description |
|---|---|
| category=key|home.about | Get all localizations for the key home.about |
| title:contains=About Page | Get all localizations where the value of the title contains About Page |
| _offset=0 | Offset of the first localization |
| _count=10 | Count of the localizations |
NOTE: The provided language must be enabled in the system by calling Locale APIs.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
target | path | string | yes | |
_count | query | string | no | |
_offset | query | string | no | |
_sort | query | string | no | |
search | query | string | no |
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → PaginatedMapSearchResponseDto (application/json)
total:number(required)resources:object[](required)source:object(required)target:object